.container{
    background-image: url('../images/fon.png');
    display: block;
    background-size: cover;
    font-family: 'Ubuntu', sans-serif;
    flex-direction: column;
    min-height: 100vh;
    height: 100%;

}

.header-wrap{
    display: flex;
    justify-content: space-between;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    height: 58px;
    padding-left: 79px;
    padding-right: 79px;
    align-items: center;
    flex-wrap: wrap; /*  резинова щоб була*/
}

.logo{

}

.logo-link{
    color: #FFFFFF;
    text-decoration: none;
    font-weight: bold;
    font-size: 22px;
    line-height: 22px;
}
.logo-link:hover{
    color: #01813F;
    transition: 1.3s;
}


.header-right{
    display: flex;
    gap:24px;
    color: #FFFFFF;
    flex-wrap: wrap; /*  резинова щоб була*/
    align-items: center;
}

.header-right-link{
    color: #FFFFFF;
    text-decoration: none;

}


.calendar-link{

    height: 21px;
    width: 24px;
    background-image: url("data:image/svg+xml,%0A%3Csvg width='21' fill='white' height='24' viewBox='0 0 21 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6.9375 13.5H5.0625C4.75313 13.5 4.5 13.2469 4.5 12.9375V11.0625C4.5 10.7531 4.75313 10.5 5.0625 10.5H6.9375C7.24687 10.5 7.5 10.7531 7.5 11.0625V12.9375C7.5 13.2469 7.24687 13.5 6.9375 13.5ZM12 12.9375V11.0625C12 10.7531 11.7469 10.5 11.4375 10.5H9.5625C9.25313 10.5 9 10.7531 9 11.0625V12.9375C9 13.2469 9.25313 13.5 9.5625 13.5H11.4375C11.7469 13.5 12 13.2469 12 12.9375ZM16.5 12.9375V11.0625C16.5 10.7531 16.2469 10.5 15.9375 10.5H14.0625C13.7531 10.5 13.5 10.7531 13.5 11.0625V12.9375C13.5 13.2469 13.7531 13.5 14.0625 13.5H15.9375C16.2469 13.5 16.5 13.2469 16.5 12.9375ZM12 17.4375V15.5625C12 15.2531 11.7469 15 11.4375 15H9.5625C9.25313 15 9 15.2531 9 15.5625V17.4375C9 17.7469 9.25313 18 9.5625 18H11.4375C11.7469 18 12 17.7469 12 17.4375ZM7.5 17.4375V15.5625C7.5 15.2531 7.24687 15 6.9375 15H5.0625C4.75313 15 4.5 15.2531 4.5 15.5625V17.4375C4.5 17.7469 4.75313 18 5.0625 18H6.9375C7.24687 18 7.5 17.7469 7.5 17.4375ZM16.5 17.4375V15.5625C16.5 15.2531 16.2469 15 15.9375 15H14.0625C13.7531 15 13.5 15.2531 13.5 15.5625V17.4375C13.5 17.7469 13.7531 18 14.0625 18H15.9375C16.2469 18 16.5 17.7469 16.5 17.4375ZM21 5.25V21.75C21 22.9922 19.9922 24 18.75 24H2.25C1.00781 24 0 22.9922 0 21.75V5.25C0 4.00781 1.00781 3 2.25 3H4.5V0.5625C4.5 0.253125 4.75313 0 5.0625 0H6.9375C7.24687 0 7.5 0.253125 7.5 0.5625V3H13.5V0.5625C13.5 0.253125 13.7531 0 14.0625 0H15.9375C16.2469 0 16.5 0.253125 16.5 0.5625V3H18.75C19.9922 3 21 4.00781 21 5.25ZM18.75 21.4688V7.5H2.25V21.4688C2.25 21.6234 2.37656 21.75 2.53125 21.75H18.4688C18.6234 21.75 18.75 21.6234 18.75 21.4688Z'/%3E%3C/svg%3E%0A");
    background-size: 100% 100%;
    /* підмінити колір норм не вийшло, зробив ще одну svg
    вставляв і зовсім без філ в     https://yoksel.github.io/url-encoder/
    і потім писав fill тут, аде не працює
    лектор на уроці вказував перемінну в fill в svg, щось типу bgcolor

    */
}

.calendar-link:hover{

    height: 21px;
    width: 24px;
    background-image: url("data:image/svg+xml,%0A%3Csvg width='21' height='24' viewBox='0 0 21 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6.9375 13.5H5.0625C4.75313 13.5 4.5 13.2469 4.5 12.9375V11.0625C4.5 10.7531 4.75313 10.5 5.0625 10.5H6.9375C7.24687 10.5 7.5 10.7531 7.5 11.0625V12.9375C7.5 13.2469 7.24687 13.5 6.9375 13.5ZM12 12.9375V11.0625C12 10.7531 11.7469 10.5 11.4375 10.5H9.5625C9.25313 10.5 9 10.7531 9 11.0625V12.9375C9 13.2469 9.25313 13.5 9.5625 13.5H11.4375C11.7469 13.5 12 13.2469 12 12.9375ZM16.5 12.9375V11.0625C16.5 10.7531 16.2469 10.5 15.9375 10.5H14.0625C13.7531 10.5 13.5 10.7531 13.5 11.0625V12.9375C13.5 13.2469 13.7531 13.5 14.0625 13.5H15.9375C16.2469 13.5 16.5 13.2469 16.5 12.9375ZM12 17.4375V15.5625C12 15.2531 11.7469 15 11.4375 15H9.5625C9.25313 15 9 15.2531 9 15.5625V17.4375C9 17.7469 9.25313 18 9.5625 18H11.4375C11.7469 18 12 17.7469 12 17.4375ZM7.5 17.4375V15.5625C7.5 15.2531 7.24687 15 6.9375 15H5.0625C4.75313 15 4.5 15.2531 4.5 15.5625V17.4375C4.5 17.7469 4.75313 18 5.0625 18H6.9375C7.24687 18 7.5 17.7469 7.5 17.4375ZM16.5 17.4375V15.5625C16.5 15.2531 16.2469 15 15.9375 15H14.0625C13.7531 15 13.5 15.2531 13.5 15.5625V17.4375C13.5 17.7469 13.7531 18 14.0625 18H15.9375C16.2469 18 16.5 17.7469 16.5 17.4375ZM21 5.25V21.75C21 22.9922 19.9922 24 18.75 24H2.25C1.00781 24 0 22.9922 0 21.75V5.25C0 4.00781 1.00781 3 2.25 3H4.5V0.5625C4.5 0.253125 4.75313 0 5.0625 0H6.9375C7.24687 0 7.5 0.253125 7.5 0.5625V3H13.5V0.5625C13.5 0.253125 13.7531 0 14.0625 0H15.9375C16.2469 0 16.5 0.253125 16.5 0.5625V3H18.75C19.9922 3 21 4.00781 21 5.25ZM18.75 21.4688V7.5H2.25V21.4688C2.25 21.6234 2.37656 21.75 2.53125 21.75H18.4688C18.6234 21.75 18.75 21.6234 18.75 21.4688Z' fill='%2301813F'/%3E%3C/svg%3E%0A");background-size: 100% 100%;
    transition: 1.3s;
}

.letter-link{
    height: 23px;
    width: 23px;
    background-image: url("data:image/svg+xml,%0A%3Csvg width='23' height='23' viewBox='0 0 23 23' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M22.2177 7.39037C22.0067 7.21594 17.1989 3.34964 16.142 2.50929C15.149 1.71561 13.4513 0 11.5 0C9.55915 0 7.87768 1.69432 6.858 2.50929C5.75907 3.38302 0.970088 7.23485 0.786807 7.38552C0.540798 7.58781 0.342653 7.84208 0.206611 8.13006C0.0705697 8.41804 9.03375e-06 8.73258 0 9.05108L0 20.8438C0 22.0346 0.965371 23 2.15625 23H20.8438C22.0346 23 23 22.0346 23 20.8438V9.05216C23 8.73466 22.9299 8.42107 22.7947 8.13381C22.6594 7.84654 22.4624 7.59268 22.2177 7.39037ZM20.8438 20.5742C20.8438 20.6457 20.8154 20.7143 20.7648 20.7648C20.7143 20.8154 20.6457 20.8438 20.5742 20.8438H2.42578C2.3543 20.8438 2.28574 20.8154 2.23519 20.7648C2.18465 20.7143 2.15625 20.6457 2.15625 20.5742V9.17965C2.15625 9.09821 2.19291 9.02126 2.25625 8.97009C2.96916 8.39446 7.14343 5.037 8.20228 4.19521C9.01829 3.54344 10.4398 2.15625 11.5 2.15625C12.5643 2.15625 14.0092 3.5654 14.7977 4.19521C15.8567 5.03709 20.0312 8.39509 20.7438 8.97112C20.7751 8.99637 20.8003 9.02829 20.8175 9.06453C20.8348 9.10078 20.8438 9.14044 20.8438 9.18059V20.5742ZM19.4067 12.1422C19.5975 12.374 19.5623 12.717 19.3283 12.905C18.0267 13.9509 16.6656 15.0432 16.142 15.4594C15.1223 16.2744 13.4408 17.9688 11.5 17.9688C9.54805 17.9688 7.84844 16.2511 6.858 15.4594C6.35132 15.0566 4.98278 13.9584 3.67182 12.9049C3.43778 12.7168 3.40261 12.3739 3.59344 12.1421L4.27885 11.3098C4.46654 11.0819 4.80251 11.0473 5.0326 11.2323C6.31817 12.2655 7.66349 13.3452 8.20228 13.7735C8.9908 14.4033 10.4357 15.8125 11.5 15.8125C12.5602 15.8125 13.9818 14.4253 14.7977 13.7735C15.3365 13.3452 16.6819 12.2655 17.9675 11.2324C18.1976 11.0475 18.5336 11.0821 18.7212 11.31L19.4067 12.1422Z' fill='white'/%3E%3C/svg%3E%0A");
    background-size: 100% 100%;
}

.letter-link:hover{
    height: 23px;
    width: 23px;
    background-image: url("data:image/svg+xml,%0A%3Csvg width='23' height='23' viewBox='0 0 23 23' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M22.2177 7.39037C22.0067 7.21594 17.1989 3.34964 16.142 2.50929C15.149 1.71561 13.4513 0 11.5 0C9.55915 0 7.87768 1.69432 6.858 2.50929C5.75907 3.38302 0.970088 7.23485 0.786807 7.38552C0.540798 7.58781 0.342653 7.84208 0.206611 8.13006C0.0705697 8.41804 9.03375e-06 8.73258 0 9.05108L0 20.8438C0 22.0346 0.965371 23 2.15625 23H20.8438C22.0346 23 23 22.0346 23 20.8438V9.05216C23 8.73466 22.9299 8.42107 22.7947 8.13381C22.6594 7.84654 22.4624 7.59268 22.2177 7.39037ZM20.8438 20.5742C20.8438 20.6457 20.8154 20.7143 20.7648 20.7648C20.7143 20.8154 20.6457 20.8438 20.5742 20.8438H2.42578C2.3543 20.8438 2.28574 20.8154 2.23519 20.7648C2.18465 20.7143 2.15625 20.6457 2.15625 20.5742V9.17965C2.15625 9.09821 2.19291 9.02126 2.25625 8.97009C2.96916 8.39446 7.14343 5.037 8.20228 4.19521C9.01829 3.54344 10.4398 2.15625 11.5 2.15625C12.5643 2.15625 14.0092 3.5654 14.7977 4.19521C15.8567 5.03709 20.0312 8.39509 20.7438 8.97112C20.7751 8.99637 20.8003 9.02829 20.8175 9.06453C20.8348 9.10078 20.8438 9.14044 20.8438 9.18059V20.5742ZM19.4067 12.1422C19.5975 12.374 19.5623 12.717 19.3283 12.905C18.0267 13.9509 16.6656 15.0432 16.142 15.4594C15.1223 16.2744 13.4408 17.9688 11.5 17.9688C9.54805 17.9688 7.84844 16.2511 6.858 15.4594C6.35132 15.0566 4.98278 13.9584 3.67182 12.9049C3.43778 12.7168 3.40261 12.3739 3.59344 12.1421L4.27885 11.3098C4.46654 11.0819 4.80251 11.0473 5.0326 11.2323C6.31817 12.2655 7.66349 13.3452 8.20228 13.7735C8.9908 14.4033 10.4357 15.8125 11.5 15.8125C12.5602 15.8125 13.9818 14.4253 14.7977 13.7735C15.3365 13.3452 16.6819 12.2655 17.9675 11.2324C18.1976 11.0475 18.5336 11.0821 18.7212 11.31L19.4067 12.1422Z' fill='%2301813F'/%3E%3C/svg%3E%0A");background-size: 100% 100%;
    transition: 1.3s;
}

.compas-link{
    height: 23px;
    width: 24px;
    background-image: url("data:image/svg+xml,%0A%3Csvg width='23' height='24' viewBox='0 0 23 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M16.1343 6.08719L9.44113 9.17953C9.11742 9.32911 8.85782 9.59152 8.70986 9.91875L5.65077 16.6847C5.29788 17.4652 6.09314 18.2695 6.86569 17.9128L13.5589 14.8205C13.8826 14.6709 14.1422 14.4085 14.2901 14.0812L17.3492 7.31531C17.7021 6.53437 16.9069 5.73047 16.1343 6.08719ZM12.5471 13.0584C11.9688 13.643 11.0312 13.643 10.4529 13.0584C9.8747 12.4739 9.8747 11.5261 10.4529 10.9416C11.0312 10.357 11.9688 10.357 12.5471 10.9416C13.1253 11.5261 13.1253 12.4739 12.5471 13.0584ZM11.5 0.375C5.14857 0.375 0 5.57953 0 12C0 18.4205 5.14857 23.625 11.5 23.625C17.8514 23.625 23 18.4205 23 12C23 5.57953 17.8514 0.375 11.5 0.375ZM11.5 21.375C6.38621 21.375 2.22581 17.1694 2.22581 12C2.22581 6.83063 6.38621 2.625 11.5 2.625C16.6138 2.625 20.7742 6.83063 20.7742 12C20.7742 17.1694 16.6138 21.375 11.5 21.375Z' fill='white'/%3E%3C/svg%3E%0A");
    background-size: 100% 100%;

}

.compas-link:hover{
    height: 23px;
    width: 24px;
    background-image: url("data:image/svg+xml,%0A%3Csvg width='23' height='24' viewBox='0 0 23 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M16.1343 6.08719L9.44113 9.17953C9.11742 9.32911 8.85782 9.59152 8.70986 9.91875L5.65077 16.6847C5.29788 17.4652 6.09314 18.2695 6.86569 17.9128L13.5589 14.8205C13.8826 14.6709 14.1422 14.4085 14.2901 14.0812L17.3492 7.31531C17.7021 6.53437 16.9069 5.73047 16.1343 6.08719ZM12.5471 13.0584C11.9688 13.643 11.0312 13.643 10.4529 13.0584C9.8747 12.4739 9.8747 11.5261 10.4529 10.9416C11.0312 10.357 11.9688 10.357 12.5471 10.9416C13.1253 11.5261 13.1253 12.4739 12.5471 13.0584ZM11.5 0.375C5.14857 0.375 0 5.57953 0 12C0 18.4205 5.14857 23.625 11.5 23.625C17.8514 23.625 23 18.4205 23 12C23 5.57953 17.8514 0.375 11.5 0.375ZM11.5 21.375C6.38621 21.375 2.22581 17.1694 2.22581 12C2.22581 6.83063 6.38621 2.625 11.5 2.625C16.6138 2.625 20.7742 6.83063 20.7742 12C20.7742 17.1694 16.6138 21.375 11.5 21.375Z' fill='%2301813F'/%3E%3C/svg%3E%0A");
    background-size: 100% 100%;
    transition: 1.3s;
}


.header-right-link:hover{
    color: #01813F;
}


.line-right{
    width: 1px;
    height: 19px;
    background: rgba(255, 255, 255, 0.9);
    mix-blend-mode: normal;
    opacity: 0.5;


}


.content-wrap{
    min-height: 93vh;
    /* костиль, пофіксити як встигну*/
    display: flex;
    align-content: center;
    justify-content: center;

}

.form-container{
    width: 444px;
    min-height: 584px;
    align-self: center;
    background: #FFFFFF;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
    position: relative;

}

.form-wrap{
    margin-left: 60px;
    margin-right: 60px;
    margin-top: 31px;
    margin-bottom: 38px;
    border: 0;
    display: flex;
    flex-direction: column;
    min-height:515px;

}

.form-container::before{
    width: 18px;
    height: 18px;
    background: #3CB878;
    position: absolute;
    left: 0px;
    top: 29px;
    content:"";
}
.signup-wrap{
    display: flex;
    justify-content: space-between;
}

.signup-label{
    color: #434343;
    font-size: 20px;
    line-height: 20px;
}

.login-label{
    color: #3CB878;
    text-decoration: none;
}

.login-label:hover{
    text-decoration: underline;
    color: #01813F;
}


.soc-login{
    border: 0;
    height: 46px;
    margin-top: 16px;
    display: flex;
    justify-content: space-between;
}

.facebook-button{
    display: flex;
    width: 160px;
    height: 48px;
    background: #305DB8;
    border: 0px;
    border-radius: 4px;
    margin-right: 2px;
    align-items: center;
    font-size: 16px;
    line-height: 16px;
    color: #FFFFFF;
    justify-content: space-evenly;

}

.facebook-button:hover{
    background: #022263;
    transition: 1.3s;
}

.rectangle{
    width: 1px;
    height: 28px;
    left: 48px;
    background: #0A162F;
    mix-blend-mode: normal;
    opacity: 0.1;
}


.google-button{
    display: flex;
    width: 160px;
    height: 48px;
    background: #DF4A32;
    border: 0px;
    border-radius: 4px;
    margin-left: 2px;
    font-size: 16px;
    line-height: 16px;
    align-items: center;
    color: #FFFFFF;
    justify-content: space-evenly;

}

.google-button:hover{
    background: #AB1F09;
    transition: 1.3s;
}


.or-line{
    color: #848484;
    font-size: 14px;
    line-height: 14px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 32px;
}
.or1{
    border-top: 1px solid #F2F2F2;
    width: 152px;



}

.or2{
    border-top: 1px solid #F2F2F2;
    width: 152px;
}

.custom-checkbox {
    position: absolute;
    z-index: -1;
    opacity: 0;
}

.custom-checkbox+label {
    display: flex;
    align-items: center;


}
.custom-checkbox+label::before {
    content: '';
    display: flex;
    width: 20px;
    height: 20px;

    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;



    background-repeat: no-repeat;
    background-position: center center;

    margin-left: 1px;


}


.custom-checkbox:checked+label::before {

    background-image: url("data:image/svg+xml,%0A%3Csvg width='16' height='17' viewBox='0 0 16 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 7.5L7 14.5L15 1' stroke='%233CB878' stroke-width='2'/%3E%3C/svg%3E%0A");
}

.form-signup{
    margin-top: 16px;
    flex-grow: 1;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;



}

.form-fname{
    padding: 0;
    margin: 0;
    width: 299px;
    box-sizing: content-box;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    height: 44px;
    padding-left: 19px;
    color: #434343;
    margin-left: 1px;

}



.form-lname{
    padding: 0;
    margin: 0;
    width: 299px;
    box-sizing: content-box;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    height: 44px;
    padding-left: 19px;
    color: #434343;
    margin-left: 1px;
}

.form-email{
    padding: 0;
    margin: 0;
    width: 299px;
    box-sizing: content-box;
    border-radius: 4px;
    height: 44px;
    padding-left: 19px;
    border: 1px solid #F2F2F2;
    color: #434343;
    margin-left: 1px;
}

.form-pass{
    padding: 0;
    margin: 0;
    width: 299px;
    box-sizing: content-box;
    border-radius: 4px;
    border: 1px solid #F2F2F2;
    height: 44px;
    padding-left: 19px;
    color: #434343;
    margin-left: 1px;
}

.form-confirmpass{
    padding: 0;
    margin: 0;
    width: 299px;
    box-sizing: content-box;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    height: 44px;
    padding-left: 19px;
    color: #434343;
    margin-left: 1px;
}

.form-fname:focus, .form-fname:active, .form-lname:focus, .form-lname:active, .form-emal:focus, .form-email:active, .form-pass:focus, .form-pass:active,.form-confirmpass:focus, .form-confirmpass:active{
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    outline:none;
}



.form-terms-line{
    color: #434343;
    font-size: 14px;
    line-height: 14px;
}

.terms-text{
    padding-left: 2px;
}
.terms-link{
    color: #3CB878;
    text-decoration: none;
    padding-left: 2px;
}

.terms-link:hover{
    text-decoration: underline;
    color: #01813F;
    transition: 1.3s;
}

.form-button{
    background: rgba(60, 184, 120, 0.8);
    border-radius: 4px;
    width: 324px;
    height: 46px;
    font-size: 16px;
    line-height: 16px;
    color: #FFFFFF;
    border: 0;

}

.form-button:hover{
    background: #01813F;
    transition: 1.3s;
}